/*-------------------------------------------------------------------------
 * linux.h
 *-------------------------------------------------------------------------
 */

#ifndef LINUX_H
#define LINUX_H

#include <time.h>

#ifndef _CLOCKID_T
#define _CLOCKID_T
typedef int clockid_t;
#endif /* ndef _CLOCKID_t */

#ifndef CLOCK_REALTIME 
#define CLOCK_REALTIME 0
#endif /* ndef CLOCK_REALTIME */

int clock_gettime(clockid_t, struct timespec *);

#endif
