/*-------------------------------------------------------------------------
 * rtpdestroystream.c - rtpdestroystream
 *-------------------------------------------------------------------------
 */

#include <rtp.h>
#include <stdlib.h>
#include <pthread.h>

/*------------------------------------------------------------------------
 * rtpdestroystream - deallocate a stream's resources
 *------------------------------------------------------------------------
 */
void
rtpdestroystream(struct stream *pstm)
{
	rtpqdestroy(&pstm->stm_queue);
	pthread_mutex_destroy(&pstm->stm_mutex);
	free(pstm);
}
