/*-------------------------------------------------------------------------
 * rtpstreamcleanup.c - rtpstreamcleanup
 *-------------------------------------------------------------------------
 */

#include <rtp.h>

/*------------------------------------------------------------------------
 * rtpstreamcleanup - cleanup an absent stream if the autocleanup flag
 * is set for that stream.
 *------------------------------------------------------------------------
 */
int
rtpstreamcleanup(struct session *psn, struct stream *pstm)
{

	if (psn->sn_autocleanup == TRUE) {
		return rtpremovestream(psn, pstm);
	}
	else
		return OK;
}
