/*-------------------------------------------------------------------------
 * rtpremovestream.c - rtpremovestream
 *-------------------------------------------------------------------------
 */

#include <util.h>
#include <rtp.h>
#include <rtcp.h>
#include <hash.h>

/*------------------------------------------------------------------------
 * rtpremovestream - remove stream from a session. This call sets the 
 * stream's zombie flag. Rtprelease stream will actually remove the state
 * once the stream's reference count reaches zero.
 *------------------------------------------------------------------------
 */
int
rtpremovestream(struct session *psn, struct stream *pstm)
{
	pstm->stm_zombie = TRUE;
	return OK;
}

